com.tibbo.aggregate.common.protocol

## Class RemoteServer

- java.lang.Object
- - com.tibbo.aggregate.common.protocol.AggreGateDevice
  - - com.tibbo.aggregate.common.protocol.AggreGateNetworkDevice
    - - com.tibbo.aggregate.common.protocol.RemoteServer

-     public class RemoteServer
      extends AggreGateNetworkDevice

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_NON_SECURE_PORT`
    `static java.lang.String` | `DEFAULT_PASSWORD`
    `static int` | `DEFAULT_PORT`
    `static java.lang.String` | `DEFAULT_USERNAME`

    - ### Fields inherited from class com.tibbo.aggregate.common.protocol.AggreGateNetworkDevice

      `DEFAULT_ADDRESS, DEFAULT_CONNECTION_TIMEOUT`

    - ### Fields inherited from class com.tibbo.aggregate.common.protocol.AggreGateDevice

      `DEFAULT_COMMAND_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteServer()`
    `RemoteServer(java.lang.String address, int port, java.lang.String username, java.lang.String password)`
    `RemoteServer(java.lang.String address, int port, TokenProvider authTokenProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `TokenProvider` | `getAuthTokenProvider()`
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getEffectiveUsername()`
    `java.lang.String` | `getInfo()`
    `java.lang.String` | `getLogin()`
    `java.lang.String` | `getPassword()`
    `java.lang.String` | `getProvider()`
    `java.lang.String` | `getUsername()`
    `int` | `hashCode()`
    `java.lang.Boolean` | `isCountAttempts()`
    `boolean` | `isNoFallback()`
    `boolean` | `isOnlyEndEntity()`
    `boolean` | `isPreferCrls()`
    `boolean` | `isSoftFail()`
    `boolean` | `isTrustAll()`
    `void` | `setCode(java.lang.String code)`
    `void` | `setCountAttempts(java.lang.Boolean countAttempts)`
    `void` | `setEffectiveUsername(java.lang.String effectiveUsername)`
    `void` | `setLogin(java.lang.String login)`
    `void` | `setNoFallback(boolean noFallback)`
    `void` | `setOnlyEndEntity(boolean onlyEndEntity)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setPreferCrls(boolean preferCrls)`
    `void` | `setProvider(java.lang.String provider)`
    `void` | `setSoftFail(boolean softFail)`
    `void` | `setTrustAll(boolean trustAll)`
    `void` | `setUsername(java.lang.String username)`

    - ### Methods inherited from class com.tibbo.aggregate.common.protocol.AggreGateNetworkDevice

      `getAddress, getConnectionTimeout, getPort, setAddress, setConnectionTimeout, setPort`

    - ### Methods inherited from class com.tibbo.aggregate.common.protocol.AggreGateDevice

      `getCommandTimeout, getDescription, getId, getName, getType, isDisabled, setCommandTimeout, setDescription, setDisabled, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_NON_SECURE_PORT

          public static final int DEFAULT_NON_SECURE_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_USERNAME

          public static final java.lang.String DEFAULT_USERNAME

      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD

          public static final java.lang.String DEFAULT_PASSWORD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RemoteServer

          public RemoteServer()

    - #### RemoteServer

          public RemoteServer(java.lang.String address,
                              int port,
                              java.lang.String username,
                              java.lang.String password)

    - #### RemoteServer

          public RemoteServer(java.lang.String address,
                              int port,
                              TokenProvider authTokenProvider)
                       throws AggreGateException

      Throws:
        `AggreGateException`

  - ### Method Detail

    - #### getPassword

          public java.lang.String getPassword()

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername(java.lang.String username)

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getProvider

          public java.lang.String getProvider()

    - #### setProvider

          public void setProvider(java.lang.String provider)

    - #### getCode

          public java.lang.String getCode()

    - #### setCode

          public void setCode(java.lang.String code)

    - #### getEffectiveUsername

          public java.lang.String getEffectiveUsername()

    - #### setEffectiveUsername

          public void setEffectiveUsername(java.lang.String effectiveUsername)

    - #### getLogin

          public java.lang.String getLogin()

    - #### setLogin

          public void setLogin(java.lang.String login)

    - #### getAuthTokenProvider

          public TokenProvider getAuthTokenProvider()

    - #### getInfo

          public java.lang.String getInfo()

      Overrides:
        `getInfo` in class `AggreGateNetworkDevice`

    - #### isCountAttempts

          public java.lang.Boolean isCountAttempts()

    - #### setCountAttempts

          public void setCountAttempts(java.lang.Boolean countAttempts)

    - #### isTrustAll

          public boolean isTrustAll()

    - #### setTrustAll

          public void setTrustAll(boolean trustAll)

    - #### isPreferCrls

          public boolean isPreferCrls()

    - #### setPreferCrls

          public void setPreferCrls(boolean preferCrls)

    - #### isNoFallback

          public boolean isNoFallback()

    - #### setNoFallback

          public void setNoFallback(boolean noFallback)

    - #### isSoftFail

          public boolean isSoftFail()

    - #### setSoftFail

          public void setSoftFail(boolean softFail)

    - #### isOnlyEndEntity

          public boolean isOnlyEndEntity()

    - #### setOnlyEndEntity

          public void setOnlyEndEntity(boolean onlyEndEntity)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AggreGateNetworkDevice`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `AggreGateNetworkDevice`